Package tigase.stats

## Class StatisticHolderImpl

- java.lang.Object
- - tigase.stats.CounterValue
  - - tigase.stats.Counter
    - - tigase.stats.StatisticHolderImpl

- All Implemented Interfaces:
    `StatisticHolder`
  Direct Known Subclasses:
    `AbstractScriptCommand`

      public class StatisticHolderImpl
      extends Counter
      implements StatisticHolder

  Author:
    andrzej

- - ### Field Summary

    - ### Fields inherited from class tigase.stats.CounterValue

      `counter, level, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatisticHolderImpl()` |
    `StatisticHolderImpl​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `getStatistics​(java.lang.String compName, StatisticsList list)` |
    `void` | `setStatisticsPrefix​(java.lang.String prefix)` |
    `void` | `statisticExecutedIn​(long executionTime)` |

    - ### Methods inherited from class tigase.stats.Counter

      `everyHour, everyMinute, everySecond, getPerHour, getPerMinute, getPerSecond`

    - ### Methods inherited from class tigase.stats.CounterValue

      `getLevel, getName, getValue, inc, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.stats.StatisticHolder

      `everyHour, everyMinute, everySecond`

- - ### Constructor Detail

    - #### StatisticHolderImpl

          public StatisticHolderImpl()

    - #### StatisticHolderImpl

          public StatisticHolderImpl​(java.lang.String name)

  - ### Method Detail

    - #### statisticExecutedIn

          public void statisticExecutedIn​(long executionTime)

      Specified by:
        `statisticExecutedIn` in interface `StatisticHolder`

    - #### getStatistics

          public void getStatistics​(java.lang.String compName,
                                    StatisticsList list)

      Specified by:
        `getStatistics` in interface `StatisticHolder`
      Overrides:
        `getStatistics` in class `Counter`

    - #### setStatisticsPrefix

          public void setStatisticsPrefix​(java.lang.String prefix)

      Specified by:
        `setStatisticsPrefix` in interface `StatisticHolder`